<config>

	<hostdec>
		<host name="rhea">
			<resource name="_1_" />
		</host>
	</hostdec>

	<placement>
		<filter name="Distributor" libname="libdistributor.so">
			<instance demands="_1_" />
		</filter>

		<filter name="Assigner" libname="libassigner.so" instances="1">
			<instance demands="_1_" numinstances="1"/>
		</filter>
	
		<filter name="Bin" libname="libbin.so" instances="1">
			<instance demands="_1_" numinstances="1"/>
		</filter>
		
		<filter name="Final" libname="libfinal.so">
			<instance demands="_1_"/>
		</filter>
	</placement>

	<layout>
		<stream>
			<from filter="Distributor" port="Distributor_to_Assigner_output" policy="round_robin"/>
			<to filter="Assigner" port="Distributor_to_Assigner_input" />
		</stream>

		<stream>
			<from filter="Assigner" port="Assigner_to_Bin_output" policy="ls" policylib="ls_label.so" />
			<to filter="Bin" port="Assigner_to_Bin_input" />
		</stream>

		<stream>
			<from filter="Bin" port="Bin_to_Assigner_output" policy="broadcast" />
			<to filter="Assigner" port="Bin_to_Assigner_input" />
		</stream>


		<stream>
			<from filter="Bin" port="Bin_to_Bin_output" policy="ls" policylib="ls_label.so" />
			<to filter="Bin" port="Bin_to_Bin_input" />
		</stream>

		<stream>
			<from filter="Bin" port="Bin_to_Final_output" />
			<to filter="Final" port="Bin_to_Final_input" />
		</stream>
	</layout>

</config>
